=== debian/changelog ===
rustc (1.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Mar 2016 22:41:24 +0100

rustc (1.6.0+dfsg1-3) unstable; urgency=medium

  * Apply upstream fix to silent a valgrind issue in the test suite
    (Closes: ##812825)
  * Add gcc & libc-dev as dependency of rustc to make sure it works
    out of the box

  [ Ximin Luo ]
  * Work around rust bug https://github.com/rust-lang/rust/issues/31529
  * Enable optional tests, and add verbosity/backtraces to tests
  * Use XZ instead of GZ compression (will apply to the next new upload)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Feb 2016 15:08:11 +0100

rustc (1.6.0+dfsg1-2) unstable; urgency=medium

  * mk/rt.mk: Modify upstream code to append -Wno-error rather than trying
    to remove the string "-Werror".  (Closes: #812448)
  * Disable new gcc-6 "-Wmisleading-indentation" warning, which triggers
    (incorrectly) on src/rt/miniz.c.  (Closes: #811573)
  * Guard arch-dependent dh_install commands appropriately, fixing
    arch-indep-only builds.  (Closes: #809124)

 -- Angus Lees <gus@debian.org>  Tue, 26 Jan 2016 05:40:14 +1100

rustc (1.6.0+dfsg1-1) unstable; urgency=medium

  * new upstream release

  [ Ximin Luo ]
  * Use secure links for Vcs-* fields.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Jan 2016 10:56:08 +0100
