=== debian/changelog ===
rustc (1.9.0+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #825752)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 May 2016 17:57:38 +0200

rustc (1.8.0+dfsg1-1) unstable; urgency=medium

  * New upstream release

  [ Ximin Luo ]
  * Fix using XZ for the orig tarball: needs explicit --repack in debian/watch
  * Drop wno-error patch; applied upstream.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Apr 2016 12:01:45 +0200
