=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.7
+Package: libstd-rust-1.9
 Section: libs
 Architecture: amd64 i386
 Multi-Arch: same
@@ -85,7 +85,7 @@
 Architecture: amd64 i386
 Multi-Arch: same
 Pre-Depends: multiarch-support
-Depends: ${misc:Depends}, libstd-rust-1.7 (= ${binary:Version})
+Depends: ${misc:Depends}, libstd-rust-1.9 (= ${binary:Version})
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
